%define package_name    lib%{name}
%define	version	2.1.1
%define release	2mdk

%define major 4
%define libname %mklibname %{name} %{major}

Name:		musicbrainz
Version:	%{version}
Release:	%{release}
Summary:	A software library for accesing MusicBrainz servers
Source:		%{package_name}-%{version}.tar.bz2
URL:		http://www.musicbrainz.org
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
License:	LGPL
BuildRequires:	expat-devel

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %{libname}
Summary:        A software library for accesing MusicBrainz servers
Group:          System/Libraries

%description -n %{libname}
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use libmusicbrainz
Group:		Development/Other
Requires:   %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz.

%prep
%setup -q -n %{package_name}-%{version}

%build
%configure2_5x
%make


%install
rm -rf $RPM_BUILD_ROOT

#mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO INSTALL
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%{_includedir}/musicbrainz
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Sun Jun 06 2004 Abel Cheung <deaddog@deaddog.org> 2.1.1-2mdk
- Rebuild with new gcc
- Add missing Buildrequires

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- increase major number
- fix build
- new version

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.2-1mdk
- new version

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-4mdk
- rebuild for new rpm

* Wed May 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-3mdk
- fix build with new automake

* Mon Apr 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-2mdk
- fix build
- fix buildrequires

* Thu Apr 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.1-1mdk
- Release 2.0.1

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-4mdk
- rebuild

* Wed Dec 11 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.0-3mdk
- rebuild against new gcc (ppc)

* Thu May 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-2mdk
- rebuild against new gcc

* Sun May 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0

* Wed Dec 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Mon Jul 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-2mdk
- rebuild

* Wed Apr 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 1.0.0

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0pre6-1mdk
- rebuild
- apply library policy

* Thu Dec 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0pre1-2mdk 
- rebuild

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0pre1-1mdk
- new in contribs

* Fri Sep 22 2000 Robert Kaye <rob@emusic.com> 1.0.0pre1
- First attempt to create a spec file for this library
